import TextField from "@mui/material/TextField";
import { refreshSimilarCalendarPriceChartData } from "./actions";
import { EditableValue } from "./EditableValue";
import { daysToFrontExpiration } from "./state";

const handleDaysToFrontExpirationChange = (e) => {
  if (daysToFrontExpiration.value !== Number.parseInt(e.target.value)) {
    daysToFrontExpiration.value = Number.parseInt(e.target.value);
    refreshSimilarCalendarPriceChartData();
  }
};

function DaysToFrontExpirationChooser() {
  return (
    <TextField
      fullWidth
      label="Now-to-Front-Month Days to Expiration"
      type="number"
      value={daysToFrontExpiration.value}
      onChange={handleDaysToFrontExpirationChange}
      InputProps={{ endAdornment: "Days" }}
    />
  );
}

export function EditableDaysToFrontExpiration() {
  return (
    <EditableValue text={daysToFrontExpiration.value}>
      <DaysToFrontExpirationChooser />
    </EditableValue>
  );
}
