import TextField from "@mui/material/TextField";
import {
  refreshcalendarExitPriceChartData,
  refreshSimilarCalendarPriceChartData,
  refreshStockPriceChartData,
} from "./actions";
import { lookbackPeriodEnd } from "./state";
import { EditableValue } from "./EditableValue";

const handleLookbackPeriodEndChange = (e) => {
  if (lookbackPeriodEnd.value !== e.target.value) {
    lookbackPeriodEnd.value = e.target.value;
    refreshStockPriceChartData();
    refreshSimilarCalendarPriceChartData();
    refreshcalendarExitPriceChartData();
  }
};

function LookbackPeriodEndChooser() {
  return (
    <TextField
      fullWidth
      label="Lookback Period End"
      type="date"
      value={lookbackPeriodEnd.value}
      onChange={handleLookbackPeriodEndChange}
      InputLabelProps={{ shrink: true }}
    />
  );
}

export function EditableLookbackPeriodEnd() {
  return (
    <EditableValue text={lookbackPeriodEnd.value}>
      <LookbackPeriodEndChooser />
    </EditableValue>
  );
}
