import TextField from "@mui/material/TextField";
import {
  refreshcalendarExitPriceChartData,
  refreshSimilarCalendarPriceChartData,
  refreshStockPriceChartData,
} from "./actions";
import { lookbackPeriodStart } from "./state";
import { EditableValue } from "./EditableValue";

const handleLookbackPeriodStartChange = (e) => {
  if (lookbackPeriodStart.value !== e.target.value) {
    lookbackPeriodStart.value = e.target.value;
    refreshStockPriceChartData();
    refreshSimilarCalendarPriceChartData();
    refreshcalendarExitPriceChartData();
  }
};

function LookbackPeriodStartChooser() {
  return (
    <TextField
      fullWidth
      label="Lookback Period Start"
      type="date"
      value={lookbackPeriodStart.value}
      onChange={handleLookbackPeriodStartChange}
      InputLabelProps={{ shrink: true }}
    />
  );
}

export function EditableLookbackPeriodStart() {
  return (
    <EditableValue text={lookbackPeriodStart.value}>
      <LookbackPeriodStartChooser />
    </EditableValue>
  );
}
